Create AucoFace process
POST /veriface HTTP/1.1
HOST: {{api_auco}}
Authorization: {{private_key}}
Service for the creation of a process that allows validation through photographs of the person's document and face, notifying the user via email or WhatsApp.
Authentication
Include your private key in the Authorization header.
Authorization: prk_xxx...
warning
Email notification is only available by integrating the module auco-sdk-integration
Query parameters
| Name | Description |
|---|---|
| email String | Required. Email of the process creator. This email must be registered on the Auco platform and must belong to the company. |
| platform String | Required. Platform through which validation will be performed. Accepted values: whatsapp, web |
| name String | Required. Name of the person to validate. |
| phone String | Required. Phone number with country code of the person to be validated. The accepted format is +[Country code][Phone number]Example: +573003003030 |
| country String | Required. Country of the person to be validated. Check list of documents and countries |
| type String | Required. Type of document of the person to be validated. Check list of documents and countries |
| identification String | Required. Identification number of the person to be consulted. |
| userEmail String | Optional. Email of the person to be validated. |
| custom Object | Optional. Here you can save additional information that you need to add to the notification via webhook at each stage of the flow. Example: {"reference": "RF-XXXXXXX"} |
| expiredDate Date | Optional. Expiration date of the document. This must be greater than 3 days from the date of creation of the process and is sent in format Date JSON. |
| targetWebhooks Array<String> | Optional. List of webhooks to be notified. If not defined, it will be sent to the "default" webhook. |
| tags Array<String> | Optional. List of tags to be sent when notifying the configured webhooks. |